#ifndef CHOOSEVERSIONDIALOG_H
#define CHOOSEVERSIONDIALOG_H

#include <QDialog>
#include <QMouseEvent>
#include <QSettings>

class PatchDownloader;
class LotroDatManager;

namespace Ui {
class ChooseVersionDialog;
}

class ChooseVersionDialog : public QWidget
{
    Q_OBJECT

public:
    explicit ChooseVersionDialog(QWidget *parent = 0);
    ~ChooseVersionDialog();

public slots:
    void updateFontsSizes();

protected:
    void resizeEvent(QResizeEvent *event) override;

public slots:
    void show();

private slots:

    void on_start_patched_clicked();

    void on_start_original_clicked();

    void on_cancel_clicked();

signals:
    void cancelled();

private:
    Ui::ChooseVersionDialog *ui;
    QPoint dragPosition;
};

#endif // CHOOSEVERSIONDIALOG_H
